Get assessment template detail | DataGrail Documentation
Get assessment template detail
GET https://www.example.com/api/v2/assessment_templates/:id
Returns full assessment template detail including sections and question schema. Divider-type questions are excluded.
Request
Path Parameters
id string required
Assessment template UUID
Header Parameters
authorization string required
Example: Bearer privacy_api_key.abc123
Responses
- 200
- 404
Assessment template detail returned
application/json
Schema
Example (auto)
Schema
data object
id uuid
name string
Example: Vendor Risk Assessment
sections object[]
Array [
key string
Example: s1
title string
Example: Overview
description string
Example: General information about the system
questions object[]
Array [
uuid uuid
Example: a1b2c3d4-e5f6-7890-abcd-ef1234567890
key string
Informational path key
Example: s1.questions.q1
type string
Example: radio
description string
Example: Does this system process personal data?
help_text string | null nullable
Example: Select yes if the system handles any PII
required boolean
options object[]
Array [
key string
text string
]
]
created_at date-time
updated_at date-time
{
"data": {
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "Vendor Risk Assessment",
"sections": [
{
"key": "s1",
"title": "Overview",
"description": "General information about the system",
"questions": [
{
"uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"key": "s1.questions.q1",
"type": "radio",
"description": "Does this system process personal data?",
"help_text": "Select yes if the system handles any PII",
"required": true,
"options": "Unknown Type: array,null"
}
]
}
],
"created_at": "2024-07-29T15:51:28.071Z",
"updated_at": "2024-07-29T15:51:28.071Z"
}
}
Assessment template not found
curl
go
java
nodejs
php
python
ruby
rust
swift
CURL
curl -L 'https://www.example.com/api/v2/assessment_templates/:id' \
-H 'Accept: application/json'